Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 1334)
+++ admin/blog.php	(revision 1358)
@@ -67,12 +67,12 @@
 else
 {
-	dcPage::open(__('New blog'),dcPage::jsConfirmClose('blog-form'));
-	
-	dcPage::breadcrumb(
-		array(
-			__('System') => '',
-			__('Blogs') => 'blogs.php',
-			'<span class="page-title">'.__('New blog').'</span>' => ''
-		));
+	dcPage::open(__('New blog'),dcPage::jsConfirmClose('blog-form'),
+		dcPage::breadcrumb(
+			array(
+				__('System') => '',
+				__('Blogs') => 'blogs.php',
+				'<span class="page-title">'.__('New blog').'</span>' => ''
+			))
+	);
 	
 	echo
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 1334)
+++ admin/blog_del.php	(revision 1358)
@@ -49,8 +49,5 @@
 }
 
-dcPage::open(__('Delete a blog'));
-
-if (!$core->error->flag())
-{
+dcPage::open(__('Delete a blog'),'',
 	dcPage::breadcrumb(
 		array(
@@ -58,6 +55,9 @@
 			__('Blogs') => 'blogs.php',
 			'<span class="page-title">'.__('Delete a blog').'</span>' => ''
-		));
+		))
+);
 
+if (!$core->error->flag())
+{
 	echo
 	'<p class="message">'.__('Warning').'</p>'.
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 1334)
+++ admin/blog_pref.php	(revision 1358)
@@ -252,4 +252,19 @@
 }
 
+if ($standalone) {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			html::escapeHTML($blog_name) => '',
+			'<span class="page-title">'.__('Blog settings').'</span>' => ''
+		));
+} else {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			__('Blogs') => 'blogs.php',
+			'<span class="page-title">'.__('Blog settings').' : '.html::escapeHTML($blog_name).'</span>' => ''
+		));
+}
+
 dcPage::open(__('Blog settings'),
 	'<script type="text/javascript">'."\n".
@@ -268,24 +283,10 @@
 	$core->callBehavior('adminBlogPreferencesHeaders').
 	
-	dcPage::jsPageTabs()
+	dcPage::jsPageTabs(),
+	$breadcrumb
 );
 
 if ($blog_id)
 {
-	if ($standalone) {
-		dcPage::breadcrumb(
-			array(
-				html::escapeHTML($blog_name) => '',
-				'<span class="page-title">'.__('Blog settings').'</span>' => ''
-			));
-	} else {
-		dcPage::breadcrumb(
-			array(
-				__('System') => '',
-				__('Blogs') => 'blogs.php',
-				'<span class="page-title">'.__('Blog settings').' : '.html::escapeHTML($blog_name).'</span>' => ''
-			));
-	}
-	
 	if (!empty($_GET['add'])) {
 		dcPage::message(__('Blog has been successfully created.'));
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 1334)
+++ admin/blog_theme.php	(revision 1358)
@@ -207,18 +207,29 @@
 }
 
-dcPage::open(__('Blog appearance'),
-	(!$theme_conf_mode ? dcPage::jsLoad('js/_blog_theme.js') : '').
-	dcPage::jsPageTabs($default_tab).
-	dcPage::jsColorPicker()
-);
-
 if (!$theme_conf_mode)
 {
-	dcPage::breadcrumb(
+	$breadcrumb = dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
 			'<span class="page-title">'.__('Blog appearance').'</span>' => ''
 		));
-	
+} else {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Blog appearance') => 'blog_theme.php',
+			'<span class="page-title">'.__('Theme configuration').'</span>' => ''
+		));
+}
+
+dcPage::open(__('Blog appearance'),
+	(!$theme_conf_mode ? dcPage::jsLoad('js/_blog_theme.js') : '').
+	dcPage::jsPageTabs($default_tab).
+	dcPage::jsColorPicker(),
+	$breadcrumb
+);
+
+if (!$theme_conf_mode)
+{
 	if (!empty($_GET['upd'])) {
 		dcPage::message(__('Theme has been successfully changed.'));
@@ -334,11 +345,4 @@
 	$core->themes->loadModuleL10Nresources($core->blog->settings->system->theme,$_lang);
 
-	dcPage::breadcrumb(
-		array(
-			html::escapeHTML($core->blog->name) => '',
-			__('Blog appearance') => 'blog_theme.php',
-			'<span class="page-title">'.__('Theme configuration').'</span>' => ''
-		));
-
 	echo
 	'<p><a class="back" href="blog_theme.php">'.__('back').'</a></p>';
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 1334)
+++ admin/blogs.php	(revision 1358)
@@ -73,15 +73,15 @@
 	$starting_script .= dcPage::jsLoad('js/filter-controls.js');
 }
-dcPage::open(__('List of blogs'),$starting_script);
+dcPage::open(__('List of blogs'),$starting_script,
+	dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			'<span class="page-title">'.__('List of blogs').'</span>' => ''
+		))
+);
 
 if (!empty($_GET['del'])) {
 	dcPage::message(__('Blog has been successfully deleted.'));
 }
-
-dcPage::breadcrumb(
-	array(
-		__('System') => '',
-		'<span class="page-title">'.__('List of blogs').'</span>' => ''
-	));
 
 if (!$core->error->flag())
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 1334)
+++ admin/categories.php	(revision 1358)
@@ -73,5 +73,10 @@
 dcPage::open(__('Categories'),
 	dcPage::jsToolMan()."\n".
-	dcPage::jsLoad('js/_categories.js')
+	dcPage::jsLoad('js/_categories.js'),
+	dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			'<span class="page-title">'.__('Categories').'</span>' => ''
+		))
 );
 
@@ -88,10 +93,4 @@
 	dcPage::message(__('The category has been successfully moved.'));
 }
-
-dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		'<span class="page-title">'.__('Categories').'</span>' => ''
-	));
 
 $rs = $core->blog->getCategories(array('post_type'=>'post'));
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 1334)
+++ admin/category.php	(revision 1358)
@@ -157,14 +157,4 @@
 $title = $cat_id ? html::escapeHTML($cat_title) : __('New category');
 
-dcPage::open($title,
-	dcPage::jsConfirmClose('category-form').
-	dcPage::jsToolBar().
-	dcPage::jsLoad('js/_category.js')
-);
-
-if (!empty($_GET['upd'])) {
-	dcPage::message(__('Category has been successfully updated.'));
-}
-
 $elements = array(
 	html::escapeHTML($core->blog->name) => '',
@@ -177,5 +167,15 @@
 }
 $elements['<span class="page-title">'.$title.'</span>'] = '';
-dcPage::breadcrumb($elements);
+
+dcPage::open($title,
+	dcPage::jsConfirmClose('category-form').
+	dcPage::jsToolBar().
+	dcPage::jsLoad('js/_category.js'),
+	dcPage::breadcrumb($elements)
+);
+
+if (!empty($_GET['upd'])) {
+	dcPage::message(__('Category has been successfully updated.'));
+}
 
 echo
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 1334)
+++ admin/comment.php	(revision 1358)
@@ -160,4 +160,20 @@
 /* DISPLAY
 -------------------------------------------------------- */
+if ($comment_id) {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			html::escapeHTML($post_title) => $core->getPostAdminURL($post_type,$post_id).'&amp;co=1#c'.$comment_id,
+			'<span class="page-title">'.__('Edit comment').'</span>' => ''
+		));
+} else {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			html::escapeHTML($post_title) => $core->getPostAdminURL($post_type,$post_id),
+			'<span class="page-title">'.__('Edit comment').'</span>' => ''
+		));
+}
+
 dcPage::open(__('Edit comment'),
 	dcPage::jsConfirmClose('comment-form').
@@ -165,5 +181,6 @@
 	dcPage::jsLoad('js/_comment.js').
 	# --BEHAVIOR-- adminCommentHeaders
-	$core->callBehavior('adminCommentHeaders')
+	$core->callBehavior('adminCommentHeaders'),
+	$breadcrumb
 );
 
@@ -183,11 +200,4 @@
 		.'">'.__('Send an e-mail').'</a>';
 	}
-	
-	dcPage::breadcrumb(
-		array(
-			html::escapeHTML($core->blog->name) => '',
-			html::escapeHTML($post_title) => $core->getPostAdminURL($post_type,$post_id).'&amp;co=1#c'.$comment_id,
-			'<span class="page-title">'.__('Edit comment').'</span>' => ''
-		));
 
 	echo
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 1334)
+++ admin/comments.php	(revision 1358)
@@ -169,11 +169,11 @@
 $starting_script .= $core->callBehavior('adminCommentsHeaders');
 
-dcPage::open(__('Comments and trackbacks'),$starting_script);
-
-dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		'<span class="page-title">'.__('Comments and trackbacks').'</span>' => ''
-	));
+dcPage::open(__('Comments and trackbacks'),$starting_script,
+	dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			'<span class="page-title">'.__('Comments and trackbacks').'</span>' => ''
+		))
+);
 
 if (!$core->error->flag())
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 1340)
+++ admin/index.php	(revision 1358)
@@ -193,12 +193,11 @@
 	dcPage::jsLoad('js/_index.js').
 	# --BEHAVIOR-- adminDashboardHeaders
-	$core->callBehavior('adminDashboardHeaders')
+	$core->callBehavior('adminDashboardHeaders'),
+	dcPage::breadcrumb(
+		array(
+		'<span class="page-title">'.__('Dashboard').' : '.html::escapeHTML($core->blog->name).'</span>' => ''
+		),
+		false)
 );
-
-dcPage::breadcrumb(
-	array(
-	'<span class="page-title">'.__('Dashboard').' : '.html::escapeHTML($core->blog->name).'</span>' => ''
-	),
-	false);
 
 if ($core->auth->getInfo('user_default_blog') != $core->blog->id && $core->auth->blog_count > 1) {
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 1280)
+++ admin/js/_post.js	(revision 1353)
@@ -149,4 +149,5 @@
 		var a = document.createElement('a');
 		a.href = '#';
+		a.className = 'button';
 		$(a).click(function() {
 			var params = {
Index: admin/langs.php
===================================================================
--- admin/langs.php	(revision 1334)
+++ admin/langs.php	(revision 1358)
@@ -129,12 +129,11 @@
 -------------------------------------------------------- */
 dcPage::open(__('Languages management'),
-	dcPage::jsLoad('js/_langs.js')
-);
-
-dcPage::breadcrumb(
+	dcPage::jsLoad('js/_langs.js'),
+	dcPage::breadcrumb(
 	array(
 		__('System') => '',
 		'<span class="page-title">'.__('Languages management').'</span>' => ''
-	));
+	))
+);
 
 if (!empty($_GET['removed'])) {
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1334)
+++ admin/media.php	(revision 1358)
@@ -203,12 +203,12 @@
 if ($dir && !empty($_GET['remove']) && empty($_GET['noconfirm']))
 {
-	call_user_func($open_f,__('Media manager'));
-	
-	dcPage::breadcrumb(
-		array(
-			html::escapeHTML($core->blog->name) => '',
-			__('Media manager') => '',
-			'<span class="page-title">'.__('confirm removal').'</span>' => ''
-		));
+	call_user_func($open_f,__('Media manager'),'',
+		dcPage::breadcrumb(
+			array(
+				html::escapeHTML($core->blog->name) => '',
+				__('Media manager') => '',
+				'<span class="page-title">'.__('confirm removal').'</span>' => ''
+			),!$popup)
+	);
 	
 	echo
@@ -232,55 +232,57 @@
 $user_ui_enhanceduploader = $core->auth->user_prefs->interface->enhanceduploader;
 
-call_user_func($open_f,__('Media manager'),
-	dcPage::jsLoad('js/_media.js').
-	($core_media_writable ? dcPage::jsUpload(array('d='.$d)) : '')
-	);
-
-if (!empty($_GET['mkdok'])) {
-	dcPage::message(__('Directory has been successfully created.'));
-}
-
-if (!empty($_GET['upok'])) {
-	dcPage::message(__('Files have been successfully uploaded.'));
-}
-
-if (!empty($_GET['rmfok'])) {
-	dcPage::message(__('File has been successfully removed.'));
-}
-
-if (!empty($_GET['rmdok'])) {
-	dcPage::message(__('Directory has been successfully removed.'));
-}
-
-if (!empty($_GET['rebuildok'])) {
-	dcPage::message(__('Directory has been successfully rebuilt.'));
-}
-
-if (!empty($_GET['unzipok'])) {
-	dcPage::message(__('Zip file has been successfully extracted.'));
-}
 
 if (!isset($core->media)) {
-	dcPage::breadcrumb(
+	$breadcrumb = dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
 			'<span class="page-title">'.__('Media manager').'</span>' => ''
-		));
+		),!$popup);
 } else {
-	$breadcrumb = $core->media->breadCrumb(html::escapeURL($page_url).'&amp;d=%s','<span class="page-title">%s</span>');
-	if ($breadcrumb == '') {
-		dcPage::breadcrumb(
+	$breadcrumb_media = $core->media->breadCrumb(html::escapeURL($page_url).'&amp;d=%s','<span class="page-title">%s</span>');
+	if ($breadcrumb_media == '') {
+		$breadcrumb = dcPage::breadcrumb(
 			array(
 				html::escapeHTML($core->blog->name) => '',
 				'<span class="page-title">'.__('Media manager').'</span>' => ''
-			));
+			),!$popup);
 	} else {
-		dcPage::breadcrumb(
+		$breadcrumb = dcPage::breadcrumb(
 			array(
 				html::escapeHTML($core->blog->name) => '',
 				__('Media manager') => html::escapeURL($page_url.'&d='),
-				$breadcrumb => ''
-			));
-	}
+				$breadcrumb_media => ''
+			),!$popup);
+	}
+}
+
+call_user_func($open_f,__('Media manager'),
+	dcPage::jsLoad('js/_media.js').
+	($core_media_writable ? dcPage::jsUpload(array('d='.$d)) : ''),
+	$breadcrumb
+	);
+
+if (!empty($_GET['mkdok'])) {
+	dcPage::message(__('Directory has been successfully created.'));
+}
+
+if (!empty($_GET['upok'])) {
+	dcPage::message(__('Files have been successfully uploaded.'));
+}
+
+if (!empty($_GET['rmfok'])) {
+	dcPage::message(__('File has been successfully removed.'));
+}
+
+if (!empty($_GET['rmdok'])) {
+	dcPage::message(__('Directory has been successfully removed.'));
+}
+
+if (!empty($_GET['rebuildok'])) {
+	dcPage::message(__('Directory has been successfully rebuilt.'));
+}
+
+if (!empty($_GET['unzipok'])) {
+	dcPage::message(__('Zip file has been successfully extracted.'));
 }
 
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 1334)
+++ admin/media_item.php	(revision 1358)
@@ -175,5 +175,11 @@
 	$starting_scripts.
 	dcPage::jsDatePicker().
-	dcPage::jsPageTabs($tab)
+	dcPage::jsPageTabs($tab),
+	dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Media manager') => html::escapeURL($media_page_url),
+			$core->media->breadCrumb(html::escapeURL($media_page_url).'&amp;d=%s').'<span class="page-title">'.$file->basename.'</span>' => ''
+		),!$popup)
 );
 
@@ -189,11 +195,4 @@
 	dcPage::message(__('Thumbnails have been successfully updated.'));
 }
-
-dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		__('Media manager') => html::escapeURL($media_page_url),
-		$core->media->breadCrumb(html::escapeURL($media_page_url).'&amp;d=%s').'<span class="page-title">'.$file->basename.'</span>' => ''
-	));
 
 # Insertion popup
Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 1334)
+++ admin/plugin.php	(revision 1358)
@@ -81,12 +81,12 @@
 else
 {
-	call_user_func($open_f,__('Plugin not found'));
+	call_user_func($open_f,__('Plugin not found'),'',
+		dcPage::breadcrumb(
+			array(
+				__('System') => '',
+				'<span class="page-title">'.__('Plugin not found').'</span>' => ''
+			))
+	);
 	
-	dcPage::breadcrumb(
-		array(
-			__('System') => '',
-			'<span class="page-title">'.__('Plugin not found').'</span>' => ''
-		));
-
 	echo '<p>'.__('The plugin you reached does not exist or does not have an admin page.').'</p>';
 	
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1334)
+++ admin/plugins.php	(revision 1358)
@@ -191,12 +191,11 @@
 dcPage::open(__('Plugins management'),
 	dcPage::jsLoad('js/_plugins.js').
-	dcPage::jsPageTabs($default_tab)
+	dcPage::jsPageTabs($default_tab),
+	dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			'<span class="page-title">'.__('Plugins management').'</span>' => ''
+		))
 );
-
-dcPage::breadcrumb(
-	array(
-		__('System') => '',
-		'<span class="page-title">'.__('Plugins management').'</span>' => ''
-	));
 
 if (!empty($_GET['removed'])) {
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1335)
+++ admin/post.php	(revision 1365)
@@ -133,5 +133,5 @@
 		if ($next_rs !== null) {
 			$next_link = sprintf($post_link,$next_rs->post_id,
-				html::escapeHTML($next_rs->post_title),__('next entry').'&nbsp;&#187;');
+				html::escapeHTML($next_rs->post_title),__('Next entry').'&nbsp;&#187;');
 			$next_headlink = sprintf($post_headlink,'next',
 				html::escapeHTML($next_rs->post_title),$next_rs->post_id);
@@ -140,5 +140,5 @@
 		if ($prev_rs !== null) {
 			$prev_link = sprintf($post_link,$prev_rs->post_id,
-				html::escapeHTML($prev_rs->post_title),'&#171;&nbsp;'.__('previous entry'));
+				html::escapeHTML($prev_rs->post_title),'&#171;&nbsp;'.__('Previous entry'));
 			$prev_headlink = sprintf($post_headlink,'previous',
 				html::escapeHTML($prev_rs->post_title),$prev_rs->post_id);
@@ -294,4 +294,26 @@
 }
 
+if ($post_id) {
+	switch ($post_status) {
+		case 1:
+			$img_status = sprintf($img_status_pattern,__('Published'),'check-on.png');
+			break;
+		case 0:
+			$img_status = sprintf($img_status_pattern,__('Unpublished'),'check-off.png');
+			break;
+		case -1:
+			$img_status = sprintf($img_status_pattern,__('Scheduled'),'scheduled.png');
+			break;
+		case -2:
+			$img_status = sprintf($img_status_pattern,__('Pending'),'check-wrn.png');
+			break;
+		default:
+			$img_status = '';
+	}
+	$edit_entry_str = __('&ldquo;%s&rdquo;');
+	$page_title_edit = sprintf($edit_entry_str, html::escapeHTML($post_title)).' '.$img_status;
+}
+
+
 dcPage::open($page_title.' - '.__('Entries'),
 	dcPage::jsDatePicker().
@@ -304,5 +326,11 @@
 	$core->callBehavior('adminPostHeaders').
 	dcPage::jsPageTabs($default_tab).
-	$next_headlink."\n".$prev_headlink
+	$next_headlink."\n".$prev_headlink,
+	dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			__('Entries') => 'posts.php',
+			'<span class="page-title">'.($post_id ? $page_title_edit : $page_title).'</span>' => ''
+		))
 );
 
@@ -334,33 +362,6 @@
 }
 
-if ($post_id) {
-	switch ($post_status) {
-		case 1:
-			$img_status = sprintf($img_status_pattern,__('published'),'check-on.png');
-			break;
-		case 0:
-			$img_status = sprintf($img_status_pattern,__('unpublished'),'check-off.png');
-			break;
-		case -1:
-			$img_status = sprintf($img_status_pattern,__('scheduled'),'scheduled.png');
-			break;
-		case -2:
-			$img_status = sprintf($img_status_pattern,__('pending'),'check-wrn.png');
-			break;
-		default:
-			$img_status = '';
-	}
-	$edit_entry_str = __('Edit entry &ldquo;%s&rdquo;');
-	$page_title_edit = sprintf($edit_entry_str, html::escapeHTML($post_title)).' '.$img_status;
-}
-dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		__('Entries') => 'posts.php',
-		'<span class="page-title">'.($post_id ? $page_title_edit : $page_title).'</span>' => ''
-	));
-
 if ($post_id && $post->post_status == 1) {
-	echo '<p><a class="preview_link" href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+	echo '<p><a class="onblog_link" href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this entry on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
 }
 if ($post_id)
@@ -392,11 +393,14 @@
 	echo '<div id="entry-wrapper">';
 	echo '<div id="entry-content"><div class="constrained">';
+
+	echo '<h3 class="hidden">'.__('Edit post').'</h3>';
 	
 	echo
-	'<p class="col"><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
+	'<p class="col"><label class="required no-margin"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
 	form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
 	'</p>'.
 	
-	'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').'</label> '.
+	'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').'<span class="form-note">'.
+	__('Add an introduction to the post.').'</span></label> '.
 	form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
 	'</p>'.
@@ -407,5 +411,6 @@
 	'</p>'.
 	
-	'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').'</label>'.
+	'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').'<span class="form-note">'.
+	__('Add unpublished notes.').'</span></label>'.
 	form::textarea('post_notes',50,5,html::escapeHTML($post_notes)).
 	'</p>';
@@ -415,5 +420,5 @@
 	
 	echo
-	'<p>'.
+	'<p class="border-top">'.
 	($post_id ? form::hidden('id',$post_id) : '').
 	'<input type="submit" value="'.__('Save').' (s)" '.
@@ -441,22 +446,42 @@
 	
 	echo
+	'<div id="status-box" class="box">'.
+	'<h4>Statut</h4>'.
+
+	'<p><label for="post_status">'.__('Entry status:').
+	form::combo('post_status',$status_combo,$post_status,'maximal','',!$can_publish).
+	'</label></p>'.
+	
+	'<p><label for="post_dt">'.__('Published on:').
+	form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
+	'</label></p>'.
+	
+	'<p><label for="post_format">'.__('Text formating:').
+	form::combo('post_format',$formaters_combo,$post_format,'maximal').
+	'</label>'.
+	'</p>'.
+
+	'<p>'.($post_id && $post_format != 'xhtml' ? '<a id="convert-xhtml" class="button maximal" href="post.php?id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').'</p>'.
+
+	'<p><label for="post_lang">'.__('Entry lang:').
+	form::combo('post_lang',$lang_combo,$post_lang).
+	'</label></p>'.
+	
+	'</div>'. // End status box
+	
+	'<div id="metas-box" class="box">'.
+	'<h4>Classement</h4>'.
+
+	'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected).' '.
+	__('Selected entry').'</label></p>'.
+
 	'<p><label for="cat_id">'.__('Category:').
 	form::combo('cat_id',$categories_combo,$cat_id,'maximal').
 	'</label></p>'.
-	
-	'<p><label for="post_status">'.__('Entry status:').
-	form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
-	'</label></p>'.
-	
-	'<p><label for="post_dt">'.__('Published on:').
-	form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
-	'</label></p>'.
-	
-	'<p><label for="post_format">'.__('Text formating:').
-	form::combo('post_format',$formaters_combo,$post_format).
-	'</label>'.
-	'</p>'.
-	'<p>'.($post_id && $post_format != 'xhtml' ? '<a id="convert-xhtml" class="button" href="post.php?id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').'</p>'.
-	
+
+	'</div>'. // End metas box
+	
+	'<div id="options-box" class="box">'.
+	'<h4>Options</h4>'.
 	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment).' '.
 	__('Accept comments').'</label></p>'.
@@ -475,17 +500,10 @@
 		'<p class="form-note warn">'.__('Warning: Trackbacks are not accepted on this blog.').'</p>').
 
-	'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected).' '.
-	__('Selected entry').'</label></p>'.
-	
-	'<p><label for="post_lang">'.__('Entry lang:').
-	form::combo('post_lang',$lang_combo,$post_lang).
-	'</label></p>'.
-	
-	'<p><label for="post_password">'.__('Entry password:').
+	'<p><label for="post_password">'.__('Password:').
 	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
 	'</label></p>'.
 	
 	'<div class="lockable">'.
-	'<p><label for="post_url">'.__('Basename:').
+	'<p><label for="post_url">'.__('Edit basename:').
 	form::field('post_url',10,255,html::escapeHTML($post_url),'maximal').
 	'</label></p>'.
@@ -497,4 +515,6 @@
 	# --BEHAVIOR-- adminPostFormSidebar
 	$core->callBehavior('adminPostFormSidebar',isset($post) ? $post : null);
+
+	echo '</div>'; // End options box
 	
 	echo '</div>';		// End #entry-sidebar
@@ -528,8 +548,8 @@
 	if ($can_edit_post && $core->auth->check('publish,contentadmin',$core->blog->id))
 	{
-		$combo_action[__('publish')] = 'publish';
-		$combo_action[__('unpublish')] = 'unpublish';
-		$combo_action[__('mark as pending')] = 'pending';
-		$combo_action[__('mark as junk')] = 'junk';
+		$combo_action[__('Publish')] = 'publish';
+		$combo_action[__('Unpublish')] = 'unpublish';
+		$combo_action[__('Mark as pending')] = 'pending';
+		$combo_action[__('Mark as junk')] = 'junk';
 	}
 	
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 1334)
+++ admin/posts.php	(revision 1358)
@@ -77,6 +77,6 @@
 	$selected_combo = array(
 	'-' => '',
-	__('selected') => '1',
-	__('not selected') => '0'
+	__('Selected') => '1',
+	__('Not selected') => '0'
 	);
 	
@@ -245,14 +245,14 @@
 }
 
-dcPage::open(__('Entries'),$starting_script);
-
-if (!$core->error->flag())
-{
+dcPage::open(__('Entries'),$starting_script,
 	dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
 			'<span class="page-title">'.__('Entries').'</span>' => ''
-		));
-
+		))
+);
+
+if (!$core->error->flag())
+{
 	echo
 	'<p class="top-add"><a class="button add" href="post.php">'.__('New entry').'</a></p>';
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 1179)
+++ admin/posts_actions.php	(revision 1876)
@@ -16,30 +16,32 @@
 
 $params = array();
+$action = $_POST['action'];
+$posts = $core->blog->getPosts($params);
+
+
+if (isset($_POST['redir']) && strpos($_POST['redir'],'://') === false)
+{
+	$redir = $_POST['redir'];
+}
+else
+{
+	$redir =
+	'posts.php?user_id='.$_POST['user_id'].
+	'&cat_id='.$_POST['cat_id'].
+	'&status='.$_POST['status'].
+	'&selected='.$_POST['selected'].
+	'&month='.$_POST['month'].
+	'&lang='.$_POST['lang'].
+	'&sortby='.$_POST['sortby'].
+	'&order='.$_POST['order'].
+	'&page='.$_POST['page'].
+	'&nb='.$_POST['nb'];
+}
 
 /* Actions
 -------------------------------------------------------- */
-if (!empty($_POST['action']) && !empty($_POST['entries']))
+if (!empty($action) && !empty($_POST['entries']))
 {
 	$entries = $_POST['entries'];
-	$action = $_POST['action'];
-	
-	if (isset($_POST['redir']) && strpos($_POST['redir'],'://') === false)
-	{
-		$redir = $_POST['redir'];
-	}
-	else
-	{
-		$redir =
-		'posts.php?user_id='.$_POST['user_id'].
-		'&cat_id='.$_POST['cat_id'].
-		'&status='.$_POST['status'].
-		'&selected='.$_POST['selected'].
-		'&month='.$_POST['month'].
-		'&lang='.$_POST['lang'].
-		'&sortby='.$_POST['sortby'].
-		'&order='.$_POST['order'].
-		'&page='.$_POST['page'].
-		'&nb='.$_POST['nb'];
-	}
 	
 	foreach ($entries as $k => $v) {
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 1334)
+++ admin/preferences.php	(revision 1358)
@@ -348,31 +348,31 @@
 	
 	# --BEHAVIOR-- adminPreferencesHeaders
-	$core->callBehavior('adminPreferencesHeaders')
-);
-
-if (!empty($_GET['upd'])) {
-	dcPage::message(__('Personal information has been successfully updated.'));
-}
-if (!empty($_GET['updated'])) {
-	dcPage::message(__('Personal options has been successfully updated.'));
-}
-if (!empty($_GET['append'])) {
-	dcPage::message(__('Favorites have been successfully added.'));
-}
-if (!empty($_GET['neworder'])) {
-	dcPage::message(__('Favorites have been successfully updated.'));
-}
-if (!empty($_GET['removed'])) {
-	dcPage::message(__('Favorites have been successfully removed.'));
-}
-if (!empty($_GET['replaced'])) {
-	dcPage::message(__('Default favorites have been successfully updated.'));
-}
-
-dcPage::breadcrumb(
+	$core->callBehavior('adminPreferencesHeaders'),
+
+	dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->auth->userID()) => '',
 		'<span class="page-title">'.$page_title.'</span>' => ''
-	));
+	))
+);
+
+if (!empty($_GET['upd'])) {
+	dcPage::message(__('Personal information has been successfully updated.'));
+}
+if (!empty($_GET['updated'])) {
+	dcPage::message(__('Personal options has been successfully updated.'));
+}
+if (!empty($_GET['append'])) {
+	dcPage::message(__('Favorites have been successfully added.'));
+}
+if (!empty($_GET['neworder'])) {
+	dcPage::message(__('Favorites have been successfully updated.'));
+}
+if (!empty($_GET['removed'])) {
+	dcPage::message(__('Favorites have been successfully removed.'));
+}
+if (!empty($_GET['replaced'])) {
+	dcPage::message(__('Default favorites have been successfully updated.'));
+}
 
 # User profile
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 1334)
+++ admin/search.php	(revision 1358)
@@ -70,11 +70,11 @@
 
 
-dcPage::open(__('Search'),$starting_scripts);
-
-dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		'<span class="page-title">'.__('Search').'</span>' => ''
-	));
+dcPage::open(__('Search'),$starting_scripts,
+	dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			'<span class="page-title">'.__('Search').'</span>' => ''
+		))
+);
 
 echo
@@ -84,5 +84,5 @@
 '<p><label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('Search in entries').'</label> '.
 '<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('Search in comments').'</label></p>'.
-'</p><input type="submit" value="'.__('Search').'" /></p>'.
+'<p><input type="submit" value="'.__('Search').'" /></p>'.
 '</div>'.
 '</form>';
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1344)
+++ admin/style/default.css	(revision 1365)
@@ -61,4 +61,12 @@
 	color: #575859;
 	font-size: 1.4rem;
+}
+h4 {
+	font-size: 1.1em;
+	color: #575859;
+}
+h5 {
+	font-size: 1em;
+	color: #575859;
 }
 p, div.p {
@@ -525,7 +533,16 @@
 	margin-left: 1.2rem;
 }
+#entry-content label {
+	text-transform: uppercase;
+	font-weight: bold;
+	margin-top: 2em;
+}
 #entry-sidebar {
 	width: 17em;
 	float: right;
+}
+.box {
+	border-bottom: 2px solid #A2CBE9;
+	margin-bottom: 1em;
 }
 #comments {
@@ -985,8 +1002,12 @@
 /* -------------------------------------------------------------------- CLASSES COMMUNES */
 
-.no-margin {
-	margin: 0;
-}
-
+.no-margin, #entry-content label.no-margin {
+	margin: 0;
+}
+.border-top {
+	border-top: 1px solid #999;
+	padding-top: 1em;
+	margin-top:	1em;
+}
 /* paragraphe pour bouton Nouveau bidule */
 p.top-add {
@@ -1252,4 +1273,5 @@
 	font-style:italic;
 	font-weight: normal;
+	text-transform: none;
 	color: #666;
 }
@@ -1345,4 +1367,6 @@
 	margin-bottom: .1em;
 }
+h4 a.button {font-weight: normal;}
+
 /* validation */
 input[type=submit],
Index: admin/trackbacks.php
===================================================================
--- admin/trackbacks.php	(revision 1334)
+++ admin/trackbacks.php	(revision 1358)
@@ -83,5 +83,15 @@
 /* DISPLAY
 -------------------------------------------------------- */
-dcPage::open($page_title,dcPage::jsLoad('js/_trackbacks.js'));
+if ($can_view_page) {
+	$breadcrumb = dcPage::breadcrumb(
+	array(
+		html::escapeHTML($core->blog->name) => '',
+		html::escapeHTML($post->post_title) => $core->getPostAdminURL($post->post_type,$id),
+		'<span class="page-title">'.$page_title.'</span>' => ''
+	));
+} else {
+	$breadcrumb = '';
+}
+dcPage::open($page_title,dcPage::jsLoad('js/_trackbacks.js'),$breadcrumb);
 
 # Exit if we cannot view page
@@ -94,10 +104,4 @@
 	dcPage::message(__('All pings sent.'));
 }
-
-dcPage::breadcrumb(
-	array(
-		html::escapeHTML($core->blog->name) => '',
-		'<span class="page-title">'.$page_title.'</span>' => ''
-	));
 
 echo '<p><a class="back" href="'.$core->getPostAdminURL($post->post_type,$id).'">'.
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 1334)
+++ admin/update.php	(revision 1358)
@@ -168,14 +168,11 @@
 -------------------------------------------------------- */
 dcPage::open(__('Dotclear update'),
-	(!$step ? dcPage::jsPageTabs($default_tab) : '')
-);
-
-if (!$core->error->flag()) {
+	(!$step ? dcPage::jsPageTabs($default_tab) : ''),
 	dcPage::breadcrumb(
 		array(
 			__('System') => '',
 			'<span class="page-title">'.__('Dotclear update').'</span>' => ''
-		));
-}
+		))
+);
 
 if (!$step)
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 1334)
+++ admin/user.php	(revision 1358)
@@ -174,5 +174,12 @@
 	
 	# --BEHAVIOR-- adminUserHeaders
-	$core->callBehavior('adminUserHeaders')
+	$core->callBehavior('adminUserHeaders'),
+
+	dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			__('Users') => 'users.php',
+			'<span class="page-title">'.$page_title.'</span>' => ''
+		))
 );
 
@@ -184,11 +191,4 @@
 	dcPage::message(__('User has been successfully created.'));
 }
-
-dcPage::breadcrumb(
-	array(
-		__('System') => '',
-		__('Users') => 'users.php',
-		'<span class="page-title">'.$page_title.'</span>' => ''
-	));
 
 if ($user_id == $core->auth->userID()) {
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 1334)
+++ admin/users.php	(revision 1358)
@@ -94,5 +94,11 @@
 }
 
-dcPage::open(__('Users'),$starting_script);
+dcPage::open(__('Users'),$starting_script,
+	dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			'<span class="page-title">'.__('Users').'</span>' => ''
+		))
+);
 
 if (!$core->error->flag())
@@ -105,10 +111,4 @@
 	}
 	
-	dcPage::breadcrumb(
-		array(
-			__('System') => '',
-			'<span class="page-title">'.__('Users').'</span>' => ''
-		));
-
 	echo
 	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('Create a new user').'</a></strong></p>';
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 1334)
+++ admin/users_actions.php	(revision 1358)
@@ -131,9 +131,26 @@
 /* DISPLAY
 -------------------------------------------------------- */
+if (!empty($users) && empty($blogs) && $action == 'blogs') {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			__('Users') => 'users.php',
+			'<span class="page-title">'.__('Permissions').'</span>' => ''
+		));
+} else {
+	$breadcrumb = dcPage::breadcrumb(
+		array(
+			__('System') => '',
+			__('Users') => 'users.php',
+			'<span class="page-title">'.__('Actions').'</span>' => ''
+		));
+}
+
 dcPage::open(
 	__('Users'),
 	dcPage::jsLoad('js/_users_actions.js').
 	# --BEHAVIOR-- adminUsersActionsHeaders
-	$core->callBehavior('adminUsersActionsHeaders')
+	$core->callBehavior('adminUsersActionsHeaders'),
+	$breadcrumb
 );
 
@@ -177,11 +194,4 @@
 	}
 	
-	dcPage::breadcrumb(
-		array(
-			__('System') => '',
-			__('Users') => 'users.php',
-			'<span class="page-title">'.__('Permissions').'</span>' => ''
-		));
-
 	echo
 	'<p>'.sprintf(
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 1340)
+++ inc/admin/lib.dc.page.php	(revision 1358)
@@ -49,5 +49,5 @@
 
 	# Top of admin page
-	public static function open($title='', $head='')
+	public static function open($title='',$head='',$breadcrumb='')
 	{
 		global $core;
@@ -159,4 +159,7 @@
 		}
 
+		// Display breadcrumb (if given) before any error message
+		echo $breadcrumb;
+
 		if ($core->error->flag()) {
 			echo
@@ -210,5 +213,5 @@
 	}
 
-	public static function openPopup($title='', $head='')
+	public static function openPopup($title='',$head='',$breadcrumb='')
 	{
 		global $core;
@@ -255,4 +258,7 @@
 		'<div id="content">'."\n";
 
+		// display breadcrumb if given
+		echo $breadcrumb;
+
 		if ($core->error->flag()) {
 			echo
@@ -273,5 +279,5 @@
 	}
 
-	public static function breadcrumb($elements=null,$with_home_link=true,$echo=true)
+	public static function breadcrumb($elements=null,$with_home_link=true,$echo=false)
 	{
 		// First item of array elements should be blog's name, System or Plugins
@@ -281,5 +287,6 @@
 		$index = 0;
 		foreach ($elements as $element => $url) {
-			$res .= ($with_home_link ? ($index == 1 ? ' : ' : ' &rsaquo; ') : ' ').($url ? '<a href="'.$url.'">' : '').$element.($url ? '</a>' : '');
+			$res .= ($with_home_link ? ($index == 1 ? ' : ' : ' &rsaquo; ') : ($index == 0 ? ' ' : ' &rsaquo; ')).
+				($url ? '<a href="'.$url.'">' : '').$element.($url ? '</a>' : '');
 			$index++;
 		}
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 1179)
+++ inc/admin/lib.pager.php	(revision 1353)
@@ -93,14 +93,14 @@
 		switch ($this->rs->post_status) {
 			case 1:
-				$img_status = sprintf($img,__('published'),'check-on.png');
+				$img_status = sprintf($img,__('Published'),'check-on.png');
 				break;
 			case 0:
-				$img_status = sprintf($img,__('unpublished'),'check-off.png');
+				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
 				break;
 			case -1:
-				$img_status = sprintf($img,__('scheduled'),'scheduled.png');
+				$img_status = sprintf($img,__('Scheduled'),'scheduled.png');
 				break;
 			case -2:
-				$img_status = sprintf($img,__('pending'),'check-wrn.png');
+				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
 				break;
 		}
@@ -108,10 +108,10 @@
 		$protected = '';
 		if ($this->rs->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
+			$protected = sprintf($img,__('Protected'),'locker.png');
 		}
 		
 		$selected = '';
 		if ($this->rs->post_selected) {
-			$selected = sprintf($img,__('selected'),'selected.png');
+			$selected = sprintf($img,__('Selected'),'selected.png');
 		}
 		
@@ -192,14 +192,14 @@
 		switch ($this->rs->post_status) {
 			case 1:
-				$img_status = sprintf($img,__('published'),'check-on.png');
+				$img_status = sprintf($img,__('Published'),'check-on.png');
 				break;
 			case 0:
-				$img_status = sprintf($img,__('unpublished'),'check-off.png');
+				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
 				break;
 			case -1:
-				$img_status = sprintf($img,__('scheduled'),'scheduled.png');
+				$img_status = sprintf($img,__('Scheduled'),'scheduled.png');
 				break;
 			case -2:
-				$img_status = sprintf($img,__('pending'),'check-wrn.png');
+				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
 				break;
 		}
@@ -207,10 +207,10 @@
 		$protected = '';
 		if ($this->rs->post_password) {
-			$protected = sprintf($img,__('protected'),'locker.png');
+			$protected = sprintf($img,__('Protected'),'locker.png');
 		}
 		
 		$selected = '';
 		if ($this->rs->post_selected) {
-			$selected = sprintf($img,__('selected'),'selected.png');
+			$selected = sprintf($img,__('Selected'),'selected.png');
 		}
 		
@@ -306,14 +306,14 @@
 		switch ($this->rs->comment_status) {
 			case 1:
-				$img_status = sprintf($img,__('published'),'check-on.png');
+				$img_status = sprintf($img,__('Published'),'check-on.png');
 				break;
 			case 0:
-				$img_status = sprintf($img,__('unpublished'),'check-off.png');
+				$img_status = sprintf($img,__('Unpublished'),'check-off.png');
 				break;
 			case -1:
-				$img_status = sprintf($img,__('pending'),'check-wrn.png');
+				$img_status = sprintf($img,__('Pending'),'check-wrn.png');
 				break;
 			case -2:
-				$img_status = sprintf($img,__('junk'),'junk.png');
+				$img_status = sprintf($img,__('Junk'),'junk.png');
 				break;
 		}
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 1280)
+++ inc/core/class.dc.blog.php	(revision 1353)
@@ -91,13 +91,13 @@
 			$this->public_path = path::fullFromRoot($this->settings->system->public_path,DC_ROOT);
 			
-			$this->post_status['-2'] = __('pending');
-			$this->post_status['-1'] = __('scheduled');
-			$this->post_status['0'] = __('unpublished');
-			$this->post_status['1'] = __('published');
-			
-			$this->comment_status['-2'] = __('junk');
-			$this->comment_status['-1'] = __('pending');
-			$this->comment_status['0'] = __('unpublished');
-			$this->comment_status['1'] = __('published');
+			$this->post_status['-2'] = __('Pending');
+			$this->post_status['-1'] = __('Scheduled');
+			$this->post_status['0'] = __('Unpublished');
+			$this->post_status['1'] = __('Published');
+			
+			$this->comment_status['-2'] = __('Junk');
+			$this->comment_status['-1'] = __('Pending');
+			$this->comment_status['0'] = __('Unpublished');
+			$this->comment_status['1'] = __('Published');
 			
 			# --BEHAVIOR-- coreBlogConstruct
Index: locales/_pot/plugins.pot
===================================================================
--- locales/_pot/plugins.pot	(revision 963)
+++ locales/_pot/plugins.pot	(revision 1354)
@@ -2311,5 +2311,5 @@
 
 #: plugins/widgets/index.php:250
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/bn/plugins.po
===================================================================
--- locales/bn/plugins.po	(revision 1126)
+++ locales/bn/plugins.po	(revision 1354)
@@ -1540,5 +1540,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/ca/plugins.po
===================================================================
--- locales/ca/plugins.po	(revision 1126)
+++ locales/ca/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/cs/plugins.po
===================================================================
--- locales/cs/plugins.po	(revision 1126)
+++ locales/cs/plugins.po	(revision 1354)
@@ -1565,5 +1565,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/da/plugins.po
===================================================================
--- locales/da/plugins.po	(revision 1126)
+++ locales/da/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/de/plugins.po
===================================================================
--- locales/de/plugins.po	(revision 1126)
+++ locales/de/plugins.po	(revision 1354)
@@ -1569,5 +1569,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/en/plugins.po
===================================================================
--- locales/en/plugins.po	(revision 1126)
+++ locales/en/plugins.po	(revision 1354)
@@ -1546,5 +1546,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/eo/plugins.po
===================================================================
--- locales/eo/plugins.po	(revision 1126)
+++ locales/eo/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/es-ar/plugins.po
===================================================================
--- locales/es-ar/plugins.po	(revision 1126)
+++ locales/es-ar/plugins.po	(revision 1354)
@@ -1572,5 +1572,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/es/plugins.po
===================================================================
--- locales/es/plugins.po	(revision 1126)
+++ locales/es/plugins.po	(revision 1354)
@@ -1576,5 +1576,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/eu/plugins.po
===================================================================
--- locales/eu/plugins.po	(revision 1126)
+++ locales/eu/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/fr/help/blowupConfig.html
===================================================================
--- locales/fr/help/blowupConfig.html	(revision 1280)
+++ locales/fr/help/blowupConfig.html	(revision 1348)
@@ -14,5 +14,5 @@
 <p>Quand vous devez indiquer une valeur de couleur, celle-ci doit être au format
 hexadécimal. Par exemple&nbsp;: "#FF0000" donnera du rouge. Vous pouvez vous aider
-de la pipette à côté de chaque champs de couleur.</p>
+de la pipette à côté de chaque champ de couleur.</p>
 <p>Si vous manquez d'inspiration vous pouvez consulter&nbsp;:</p>
 <ul>
Index: locales/fr/help/core_blog_pref.html
===================================================================
--- locales/fr/help/core_blog_pref.html	(revision 990)
+++ locales/fr/help/core_blog_pref.html	(revision 1354)
@@ -13,5 +13,6 @@
   
   <dt>Nom du blog</dt>
-  <dd>Nom du blog, obligatoire.</dd>
+  <dd>Nom du blog, obligatoire. Il peut être modifié à tout moment sans incidence sur
+  le fonctionnement du blog.</dd>
   
   <dt>URL du blog</dt>
@@ -44,5 +45,5 @@
   <dt>Nom de l'éditeur du blog</dt>
   <dd>Nom de la personne responsable du contenu du blog. Peut être le propriétaire
-  ou le directeur de publication s'il existe. Information affichée dans les
+  ou le directeur de publication s'il existe. Cette information sera affichée dans les
   informations du flux de syndication.</dd>
   
@@ -53,5 +54,5 @@
   <dd>Langue de l'interface du blog. Si cette langue existe parmi les
   traductions, l'interface sera traduite dans celle-ci, sinon elle apparaîtra
-  en Anglais.</dd>
+  en anglais.</dd>
   
   <dt>Fuseau horaire du blog</dt>
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1337)
+++ locales/fr/main.po	(revision 1365)
@@ -1622,5 +1622,5 @@
 
 msgid "Text formating:"
-msgstr "Format du texte :"
+msgstr "Syntaxe de saisie :"
 
 msgid "Convert to XHTML"
@@ -2247,5 +2247,5 @@
 
 msgid "XHTML markup validator"
-msgstr "Validation XHTML"
+msgstr "Vérifier la validité XHTML"
 
 msgid "XHTML content is valid."
@@ -2936,9 +2936,54 @@
 
 msgid "Personal notes:"
-msgstr "Notes personnelles:"
+msgstr "Notes personnelles :"
 
 msgid "New user"
 msgstr "Nouvel utilisateur"
 
-msgid "faut virer ça ça ne sert qu'a contourner le bug corrige en 2.5.2"
-msgstr "Notes personnelles :"
+msgid "Published"
+msgstr "Publié"
+
+msgid "Unpublished"
+msgstr "Non publié"
+
+msgid "Pending"
+msgstr "En attente"
+
+msgid "Junk"
+msgstr "Indésirable"
+
+msgid "Scheduled"
+msgstr "Programmé"
+
+msgid "Protected"
+msgstr "Protégé"
+
+msgid "Publish"
+msgstr "Publier"
+
+msgid "Unpublish"
+msgstr "Mettre hors ligne"
+
+msgid "Mark as pending"
+msgstr "Mettre en attente"
+
+msgid "Mark as junk"
+msgstr "Mettre en indésirable"
+
+msgid "Next entry"
+msgstr "Billet suivant"
+
+msgid "Previous entry"
+msgstr "Billet précédent"
+
+msgid "Add an introduction to the post."
+msgstr "Ajoute une introduction au billet."
+
+msgid "Add unpublished notes."
+msgstr "Ajoute des notes non publiées."
+
+msgid "Edit basename:"
+msgstr "Modifier l'URL spécifique :"
+
+msgid "Protect with password"
+msgstr "Protéger par un mot de passe"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 1342)
+++ locales/fr/plugins.po	(revision 1354)
@@ -238,6 +238,6 @@
 
 #, php-format
-msgid "%s configuration"
-msgstr "configuration %s"
+msgid "%s filter configuration"
+msgstr "Configuration du filtre %s"
 
 msgid "Information"
@@ -1777,8 +1777,8 @@
 msgid ""
 "Once included in a sidebar, widgets have configuration options that you can "
-"reach by clicking on the + sign next to their name."
+"reach by clicking on the arrow next to their name."
 msgstr ""
 "Une fois inclus dans un bandeau, les widgets ont généralement des options "
-"que vous pouvez configurer. Cliquez sur le signe + à côté de leur nom pour y "
+"que vous pouvez configurer. Cliquez sur la flèche à côté de leur nom pour y "
 "accéder."
 
Index: locales/hu/plugins.po
===================================================================
--- locales/hu/plugins.po	(revision 1126)
+++ locales/hu/plugins.po	(revision 1354)
@@ -1582,5 +1582,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/it/plugins.po
===================================================================
--- locales/it/plugins.po	(revision 1126)
+++ locales/it/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/ja/plugins.po
===================================================================
--- locales/ja/plugins.po	(revision 1126)
+++ locales/ja/plugins.po	(revision 1354)
@@ -1576,5 +1576,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/ko/plugins.po
===================================================================
--- locales/ko/plugins.po	(revision 1126)
+++ locales/ko/plugins.po	(revision 1354)
@@ -1583,5 +1583,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/nl/plugins.po
===================================================================
--- locales/nl/plugins.po	(revision 1126)
+++ locales/nl/plugins.po	(revision 1354)
@@ -1536,5 +1536,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/oc/plugins.po
===================================================================
--- locales/oc/plugins.po	(revision 1126)
+++ locales/oc/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/pl/plugins.po
===================================================================
--- locales/pl/plugins.po	(revision 1126)
+++ locales/pl/plugins.po	(revision 1354)
@@ -1559,5 +1559,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/pt-br/plugins.po
===================================================================
--- locales/pt-br/plugins.po	(revision 1126)
+++ locales/pt-br/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/pt/plugins.po
===================================================================
--- locales/pt/plugins.po	(revision 1126)
+++ locales/pt/plugins.po	(revision 1354)
@@ -1576,5 +1576,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/ro/plugins.po
===================================================================
--- locales/ro/plugins.po	(revision 1126)
+++ locales/ro/plugins.po	(revision 1354)
@@ -1554,5 +1554,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/ru/plugins.po
===================================================================
--- locales/ru/plugins.po	(revision 1126)
+++ locales/ru/plugins.po	(revision 1354)
@@ -1565,5 +1565,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/sr/plugins.po
===================================================================
--- locales/sr/plugins.po	(revision 1126)
+++ locales/sr/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/sv/plugins.po
===================================================================
--- locales/sv/plugins.po	(revision 1126)
+++ locales/sv/plugins.po	(revision 1354)
@@ -1529,5 +1529,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/te/plugins.po
===================================================================
--- locales/te/plugins.po	(revision 1126)
+++ locales/te/plugins.po	(revision 1354)
@@ -1558,5 +1558,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/tr/plugins.po
===================================================================
--- locales/tr/plugins.po	(revision 1126)
+++ locales/tr/plugins.po	(revision 1354)
@@ -1546,5 +1546,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: locales/zh-cn/plugins.po
===================================================================
--- locales/zh-cn/plugins.po	(revision 1126)
+++ locales/zh-cn/plugins.po	(revision 1354)
@@ -1573,5 +1573,5 @@
 msgstr ""
 
-msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next to their name."
+msgid "Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next to their name."
 msgstr ""
 
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 1341)
+++ plugins/aboutConfig/index.php	(revision 1358)
@@ -85,5 +85,5 @@
 	
 	return
-	'<tr>'.
+	'<tr class="line">'.
 	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
@@ -115,12 +115,5 @@
 <body>
 <?php
-if (!empty($_GET['upd'])) {
-	dcPage::message(__('Configuration successfully updated'));
-}
-
-if (!empty($_GET['upda'])) {
-	dcPage::message(__('Settings definition successfully updated'));
-}
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		__('System') => '',
@@ -128,4 +121,11 @@
 		'<span class="page-title">'.__('about:config').'</span>' => ''
 	));
+if (!empty($_GET['upd'])) {
+	dcPage::message(__('Configuration successfully updated'));
+}
+
+if (!empty($_GET['upda'])) {
+	dcPage::message(__('Settings definition successfully updated'));
+}
 ?>
 
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 1341)
+++ plugins/antispam/index.php	(revision 1358)
@@ -123,9 +123,9 @@
 if ($filter_gui !== false)
 {
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			__('Plugins') => '',
 			$page_name => $p_url,
-			'<span class="page-title">'.sprintf(__('%s configuration'),$filter->name).'</span>' => ''
+			'<span class="page-title">'.sprintf(__('%s filter configuration'),$filter->name).'</span>' => ''
 		));
 
@@ -134,5 +134,5 @@
 else
 {
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			__('Plugins') => '',
Index: plugins/attachments/_admin.php
===================================================================
--- plugins/attachments/_admin.php	(revision 1179)
+++ plugins/attachments/_admin.php	(revision 1365)
@@ -24,5 +24,5 @@
 			$post_media = $core->media->getPostMedia($post->post_id);
 			echo
-			'<h3 class="clear">'.__('Attachments').'</h3>';
+			'<h5 class="clear">'.__('Attachments').'</h5>';
 			foreach ($post_media as $f)
 			{
@@ -53,5 +53,5 @@
 			
 			if (empty($post_media)) {
-				echo '<p>'.__('No attachment.').'</p>';
+				echo '<p class="form-note">'.__('No attachment.').'</p>';
 			} else {
 			}
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 1339)
+++ plugins/blogroll/edit.php	(revision 1358)
@@ -96,5 +96,5 @@
 <body>
 <?php
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 1339)
+++ plugins/blogroll/index.php	(revision 1358)
@@ -178,5 +178,5 @@
 <body>
 <?php
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 1339)
+++ plugins/blowupConfig/index.php	(revision 1358)
@@ -221,5 +221,5 @@
 <body>
 <?php
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
Index: plugins/daInstaller/index.php
===================================================================
--- plugins/daInstaller/index.php	(revision 1339)
+++ plugins/daInstaller/index.php	(revision 1358)
@@ -255,5 +255,4 @@
 '</head>'.
 '<body>'.
-infoMessages();
 
 dcPage::breadcrumb(
@@ -261,5 +260,7 @@
 		__('System') => '',
 		'<span class="page-title">'.__('DotAddict.org Installer').'</span>' => ''
-	));
+	)).
+
+infoMessages();
 
 echo
Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 1339)
+++ plugins/importExport/index.php	(revision 1358)
@@ -74,5 +74,5 @@
 
 if ($type && $module !== null) {
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			__('Plugins') => '',
@@ -89,5 +89,5 @@
 }
 else {
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			__('Plugins') => '',
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 1339)
+++ plugins/maintenance/index.php	(revision 1358)
@@ -70,5 +70,5 @@
 <body>
 <?php
-	dcPage::breadcrumb(
+	echo dcPage::breadcrumb(
 		array(
 			__('Plugins') => '',
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 1875)
+++ plugins/pages/list.php	(revision 1358)
@@ -31,6 +31,5 @@
 			
 			$html_block =
-			'<table class="maximal dragable"><thead><tr>'.
-			'<th scope="col"></th>'.
+			'<table class="clear"><tr>'.
 			'<th colspan="2">'.__('Title').'</th>'.
 			'<th>'.__('Date').'</th>'.
@@ -39,5 +38,5 @@
 			'<th>'.__('Trackbacks').'</th>'.
 			'<th>'.__('Status').'</th>'.
-			'</tr></thead>%s</table>';
+			'</tr>%s</table>';
 			
 			if ($enclose_block) {
@@ -51,9 +50,7 @@
 			echo $blocks[0];
 			
-			$count = 0;
 			while ($this->rs->fetch())
 			{
-				echo $this->postLine($count);
-				$count++;
+				echo $this->postLine();
 			}
 			
@@ -64,5 +61,5 @@
 	}
 	
-	private function postLine($count)
+	private function postLine()
 	{
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
@@ -103,6 +100,4 @@
 		
 		$res .=
-		'<td class="handle minimal">'.form::field(array('order['.$count.']'),2,3,$count+1,'position','',false,'title="'.sprintf(__('position of %s'),html::escapeHTML($this->rs->post_title)).'"').
-				form::hidden(array('dynorder[]','dynorder-'.$count),$count).'</td>'.
 		'<td class="nowrap">'.
 		form::checkbox(array('entries[]'),$this->rs->post_id,'','','',!$this->rs->isEditable(),'title="'.__('select this page').'"').'</td>'.
@@ -182,5 +177,5 @@
 <body>
 <?php
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
@@ -201,15 +196,12 @@
 	'<div class="two-cols">'.
 	'<p class="col checkboxes-helpers"></p>'.
+	
 	'<p class="col right"><label for="action" class="classic">'.__('Selected pages action:').'</label> '.
 	form::combo('action',$combo_action).
 	'<input type="submit" value="'.__('ok').'" /></p>'.
-	'</div>'.
-	
-	'<p>'.
-	'<input type="submit" name="updateaction" value="'.__('Update menu').'" />'.
 	form::hidden(array('post_type'),'page').
 	form::hidden(array('redir'),html::escapeHTML($_SERVER['REQUEST_URI'])).
 	$core->formNonce().
-	'</p>'.
+	'</div>'.
 	'</form>');
 }
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1339)
+++ plugins/pages/page.php	(revision 1358)
@@ -315,27 +315,4 @@
 <?php
 
-if (!empty($_GET['upd'])) {
-	dcPage::message(__('Page has been successfully updated.'));
-}
-elseif (!empty($_GET['crea'])) {
-	dcPage::message(__('Page has been successfully created.'));
-}
-elseif (!empty($_GET['attached'])) {
-	dcPage::message(__('File has been successfully attached.'));
-}
-elseif (!empty($_GET['rmattach'])) {
-	dcPage::message(__('Attachment has been successfully removed.'));
-}
-
-# XHTML conversion
-if (!empty($_GET['xconv']))
-{
-	$post_excerpt = $post_excerpt_xhtml;
-	$post_content = $post_content_xhtml;
-	$post_format = 'xhtml';
-	
-	dcPage::message(__('Don\'t forget to validate your XHTML conversion by saving your post.'));
-}
-
 if ($post_id) {
 	switch ($post_status) {
@@ -355,14 +332,37 @@
 			$img_status = '';
 	}
-	$edit_entry_title = ' &ldquo;'.$post_title.'&rdquo;'.' '.$img_status;
+	$edit_entry_title = '&ldquo;'.$post_title.'&rdquo;'.' '.$img_status;
 } else {
-	$edit_entry_title = '';
-}
-dcPage::breadcrumb(
+	$edit_entry_title = $page_title;
+}
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
 		__('Pages') => $p_url,
-		'<span class="page-title">'.$page_title.$edit_entry_title.'</span>' => ''
+		'<span class="page-title">'.$edit_entry_title.'</span>' => ''
 	));
+
+if (!empty($_GET['upd'])) {
+	dcPage::message(__('Page has been successfully updated.'));
+}
+elseif (!empty($_GET['crea'])) {
+	dcPage::message(__('Page has been successfully created.'));
+}
+elseif (!empty($_GET['attached'])) {
+	dcPage::message(__('File has been successfully attached.'));
+}
+elseif (!empty($_GET['rmattach'])) {
+	dcPage::message(__('Attachment has been successfully removed.'));
+}
+
+# XHTML conversion
+if (!empty($_GET['xconv']))
+{
+	$post_excerpt = $post_excerpt_xhtml;
+	$post_content = $post_content_xhtml;
+	$post_format = 'xhtml';
+	
+	dcPage::message(__('Don\'t forget to validate your XHTML conversion by saving your post.'));
+}
 
 if ($post_id && $post->post_status == 1) {
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 1339)
+++ plugins/pings/index.php	(revision 1358)
@@ -52,5 +52,5 @@
 <?php
 
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		__('Plugins') => '',
Index: plugins/pings/lib.pings.php
===================================================================
--- plugins/pings/lib.pings.php	(revision 1179)
+++ plugins/pings/lib.pings.php	(revision 1365)
@@ -59,5 +59,5 @@
 		}
 		
-		echo '<h3 class="ping-services">'.__('Pings:').'</h3>';
+		echo '<h5 class="ping-services">'.__('Pings:').'</h5>';
 		$i = 0;
 		foreach ($pings_uris as $k => $v)
Index: plugins/pings/post.js
===================================================================
--- plugins/pings/post.js	(revision 0)
+++ plugins/pings/post.js	(revision 1365)
@@ -12,5 +12,5 @@
 			$('p.ping-services:last').after(p.append(a));
 		}
-		$('h3.ping-services').toggleWithLegend($('p.ping-services'),{
+		$('h5.ping-services').toggleWithLegend($('p.ping-services'),{
 			cookie: 'dcx_ping_services'
 		});
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 1339)
+++ plugins/simpleMenu/index.php	(revision 1358)
@@ -368,21 +368,6 @@
 <?php
 
-if (!empty($_GET['added'])) {
-	dcPage::message(__('Menu item has been successfully added.'));
-}
-if (!empty($_GET['removed'])) {
-	dcPage::message(__('Menu items have been successfully removed.'));
-}
-if (!empty($_GET['neworder'])) {
-	dcPage::message(__('Menu items have been successfully updated.'));
-}
-if (!empty($_GET['updated'])) {
-	dcPage::message(__('Menu items have been successfully updated.'));
-}
-
-if ($step) 
-{
-	// Formulaire d'ajout d'un item
-	dcPage::breadcrumb(
+if ($step) {
+	echo dcPage::breadcrumb(
 		array(
 			html::escapeHTML($core->blog->name) => '',
@@ -390,5 +375,28 @@
 			'<span class="page-title">'.__('Add item').'</span>' => ''
 		));
-
+} else {
+	echo dcPage::breadcrumb(
+		array(
+			html::escapeHTML($core->blog->name) => '',
+			'<span class="page-title">'.$page_title.'</span>' => ''
+		));
+}
+
+if (!empty($_GET['added'])) {
+	dcPage::message(__('Menu item has been successfully added.'));
+}
+if (!empty($_GET['removed'])) {
+	dcPage::message(__('Menu items have been successfully removed.'));
+}
+if (!empty($_GET['neworder'])) {
+	dcPage::message(__('Menu items have been successfully updated.'));
+}
+if (!empty($_GET['updated'])) {
+	dcPage::message(__('Menu items have been successfully updated.'));
+}
+
+if ($step)
+{
+	// Formulaire d'ajout d'un item
 	switch ($step) {
 		case 1:
@@ -459,12 +467,4 @@
 // Liste des items
 if (!$step) {
-	dcPage::breadcrumb(
-		array(
-			html::escapeHTML($core->blog->name) => '',
-			'<span class="page-title">'.$page_title.'</span>' => ''
-		));
-}
-
-if (!$step) {
 	echo '<form id="menuitemsappend" action="'.$p_url.'&add=1" method="post">';
 	echo '<p class="top-add">'.$core->formNonce().'<input class="button add" type="submit" name="appendaction" value="'.__('Add an item').'" /></p>';
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 1280)
+++ plugins/tags/_admin.php	(revision 1365)
@@ -82,5 +82,5 @@
 		
 		echo
-		'<h3><label for="post_tags">'.__('Tags:').'</label></h3>'.
+		'<h5><label for="post_tags">'.__('Tags:').'</label></h5>'.
 		'<div class="p" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal').'</div>';
 	}
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 1339)
+++ plugins/tags/tag_posts.php	(revision 1358)
@@ -110,5 +110,5 @@
 
 <?php
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
Index: plugins/tags/tags.php
===================================================================
--- plugins/tags/tags.php	(revision 1339)
+++ plugins/tags/tags.php	(revision 1358)
@@ -21,5 +21,5 @@
 <body>
 <?php
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 1339)
+++ plugins/themeEditor/index.php	(revision 1358)
@@ -87,5 +87,5 @@
 <body>
 <?php
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 1341)
+++ plugins/userPref/index.php	(revision 1358)
@@ -81,5 +81,5 @@
 	
 	return
-	'<tr>'.
+	'<tr class="line">'.
 	'<td scope="raw"><label for="s_'.$id.'">'.sprintf($slabel,html::escapeHTML($id)).'</label></td>'.
 	'<td>'.$field.'</td>'.
@@ -111,13 +111,5 @@
 <body>
 <?php
-if (!empty($_GET['upd'])) {
-	dcPage::message(__('Preferences successfully updated'));
-}
-
-if (!empty($_GET['upda'])) {
-	dcPage::message(__('Preferences definition successfully updated'));
-}
-
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		__('System') => '',
@@ -125,4 +117,12 @@
 		'<span class="page-title">'.__('user:preferences').'</span>' => ''
 	));
+
+if (!empty($_GET['upd'])) {
+	dcPage::message(__('Preferences successfully updated'));
+}
+
+if (!empty($_GET['upda'])) {
+	dcPage::message(__('Preferences definition successfully updated'));
+}
 ?>
 
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 1339)
+++ plugins/widgets/index.php	(revision 1358)
@@ -188,5 +188,5 @@
 <body>
 <?php
-dcPage::breadcrumb(
+echo dcPage::breadcrumb(
 	array(
 		html::escapeHTML($core->blog->name) => '',
@@ -252,5 +252,5 @@
 'drag it from the Available widgets list on the left to one of the sidebars on the right of this page. You can order '.
 'your widgets in a sidebar by dragging them up or down. You must update sidebars to apply your changes.').'</p>'.
-'<p>'.__('Once included in a sidebar, widgets have configuration options that you can reach by clicking on the + sign next '.
+'<p>'.__('Once included in a sidebar, widgets have configuration options that you can reach by clicking on the arrow next '.
 'to their name.').'</p>'.
 '<p>'.__('Reset sidebars to get back to default widgets installation.').'</p>'.
